<?php $is_first_widget = $this->addJS('templates/default/js/rating.js'); ?>
<?php $this->addCSS('templates/default/css/stars-rating.css'); ?>

<div class="rating_widget" id="rating-<?php echo $target_subject; ?>-<?php echo $target_id; ?>"
<?php if ($is_enabled || $options['is_show']){ ?>
	data-target-controller="<?php echo $target_controller; ?>"
	data-target-subject="<?php echo $target_subject; ?>"
	data-target-id="<?php echo $target_id; ?>"
	<?php if ($options['is_show']){ ?>
		data-info-url="<?php echo $this->href_to('info'); ?>"
	<?php } ?>
<?php } ?>
>
	
	
    
	<div class="stars" data-stars="1">
		<svg viewBox="0 4 24 24" height="25" width="23" class="star rating" data-rating="1">
			<polygon points="9.9, 1.1, 3.3, 21.78, 19.8, 8.58, 0, 8.58, 16.5, 21.78" style="fill-rule:nonzero;"/>
		</svg>
		<svg viewBox="0 4 24 24" height="25" width="23" class="star rating" data-rating="2">
			<polygon points="9.9, 1.1, 3.3, 21.78, 19.8, 8.58, 0, 8.58, 16.5, 21.78" style="fill-rule:nonzero;"/>
		</svg>
		<svg viewBox="0 4 24 24" height="25" width="23" class="star rating" data-rating="3">
			<polygon points="9.9, 1.1, 3.3, 21.78, 19.8, 8.58, 0, 8.58, 16.5, 21.78" style="fill-rule:nonzero;"/>
		</svg>
		<svg viewBox="0 4 24 24" height="25" width="23" class="star rating" data-rating="4">
			<polygon points="9.9, 1.1, 3.3, 21.78, 19.8, 8.58, 0, 8.58, 16.5, 21.78" style="fill-rule:nonzero;"/>
		</svg>
		<svg viewBox="0 4 24 24"height="25" width="23" class="star rating" data-rating="5">
			<polygon points="9.9, 1.1, 3.3, 21.78, 19.8, 8.58, 0, 8.58, 16.5, 21.78" style="fill-rule:nonzero;"/>
		</svg>
	
	
	
	<div class="score" title="<?php echo LANG_RATING; ?>">
        <?php if ($options['is_hidden'] && !$is_voted && ($is_enabled || $is_guest)){ ?>
            <span>&mdash;</span>
			<?php } else { ?>
            <span class="<?php echo html_signed_class($current_rating); ?><?php if ($options['is_show']) { ?> clickable<?php } ?>">
                <?php echo html_signed_num($current_rating); ?>
			</span>
		<?php } ?>
	</div>
	</div>
	
</div>

<?php if ($is_first_widget) { ?>
<script>
icms.rating.setOptions({
url: '<?php echo $this->href_to('vote'); ?>'
});
</script>
<?php }?>
